@use 'shop/resources/scss/base/constants/fonts';
@use 'shop/resources/scss/base/mixins/breakpoints';

@mixin font($weight: light) {
  @if $weight == light {
	font-weight: 400;
  } @else if $weight == medium {
	font-weight: 500;
  } @else if $weight == bold {
	font-weight: 600;
  } @else {
	@error 'Invalid font weight! Must be one of <light|medium|bold>';
  }
}

@mixin text($size: medium) {
  line-height: 1.3;
  letter-spacing: 0.5px;

  @if $size == small {
    font-size: 14px;
    @include breakpoints.screen-m-and-up {
      font-size: 16px;
    }
  } @else if $size == medium {
    font-size: 16px;
    @include breakpoints.screen-m-and-up {
      font-size: 20px;
    }
  } @else if $size == large {
    font-size: 26px;
    @include breakpoints.screen-m-and-up {
      font-size: 28px;
    }
  } @else if $size == extra-large {
      font-size: 34px;
      @include breakpoints.screen-m-and-up {
        font-size: 36px;
      }
  } @else {
	@error 'Invalid font size! Must be one of <small|medium|large|extra-large>';
  }
}

@mixin text-ellipsis() {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
